Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::ManualObject::TempVertex Struct Reference

Temporary vertex structure. More...

`#include <OgreManualObject.h>`

List of all members.

## Public Attributes
Vector3 | position
Vector3 | normal
Vector3 | texCoord [OGRE_MAX_TEXTURE_COORD_SETS]
ushort | texCoordDims [OGRE_MAX_TEXTURE_COORD_SETS]
ColourValue | colour

## Detailed Description

Temporary vertex structure.

Definition at line 436 of file OgreManualObject.h.

## Member Data Documentation

ColourValue Ogre::ManualObject::TempVertex::colour

| Definition at line 442 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::normal

| Definition at line 439 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::position

| Definition at line 438 of file OgreManualObject.h.

Vector3 Ogre::ManualObject::TempVertex::texCoord[OGRE_MAX_TEXTURE_COORD_SETS]

| Definition at line 440 of file OgreManualObject.h.

ushort Ogre::ManualObject::TempVertex::texCoordDims[OGRE_MAX_TEXTURE_COORD_SETS]

| Definition at line 441 of file OgreManualObject.h.

The documentation for this struct was generated from the following file:

- OgreManualObject.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:51:34 2007